#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    resize(500, 400);

    camera.open(0);

    do{
        camera >> img;
        cv::imshow("hello webcam", img);
    }while(cv::waitKey(30) < 0);
}

MainWindow::~MainWindow()
{
    delete ui;
    img.release();
    camera.release();
    cv::destroyAllWindows();
}
